DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# MsrComposeFunction

Measurement compose function

WARNING: this documentation page is outdated!

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error (*dip_MsrComposeFunction) ( measurement, featureID, label, intensity, compositeFeatureID, resources )

## FUNCTION

The `compose` function is called to obtain a list of measurement features. These features are than measured before the `MsrMeasureFunction` of this composite feature function is called. The `compose` function is called after the `MsrCreateFunction`.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement feature function ID
`dip_Image` | `label` | Image with pixel intensities represending object IDs
`dip_Image` | `intensity` | Image containing corresponding intensity values
`dip_IntegerArray *` | `compositeFeatureID` | Pointer to an integer array containing the the IDs of the measurement features this function requires
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

dip_MsrRegistry structure `MeasurementFeatureRegister`, `MsrCreateFunction`, `MsrMeasureFunction`, `MsrValueFunction`, `MsrConvertFunction`, `MsrDescriptionFunction`

DIPlib on-line documentation | Function reference | Global function index